<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.TimeNotGranted Property
DatabaseEnvironment Class See Also Send Feedback

If true, database calls timing out based on lock or transaction timeout values throw LockNotGrantedException instead of DeadlockException.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool TimeNotGranted { get; set; }

Visual Basic (Declaration)

    Public Property TimeNotGranted As Boolean

Visual C++

    public:
    property bool TimeNotGranted {
    	bool get ();
    	void set (bool value);
    }

# Remarks

If true, allows applications to distinguish between deadlocked operations and operations that have exceeded their time limits.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace